Skip to main content

Return resource servers of a setup

GET 

/v2/modules/:module/setups/:setupId/resource-servers

Lists all resource servers registered within the specified setup. The response contains identifiers that can be used to fetch full resource server details or manage individual entries.

Request

Path Parameters

    module stringrequired
    setupId stringrequired

Responses

Resource servers found

Schema
    length int32
    location uri
    language object
    language string
    displayName string
    country string
    variant string
    script string
    unicodeLocaleAttributes string[]
    unicodeLocaleKeys string[]
    displayLanguage string
    displayScript string
    displayCountry string
    displayVariant string
    extensionKeys string[]
    iso3Language string
    iso3Country string
    date date-time
    lastModified date-time
    entity object
    statusInfo object
    family string

    Possible values: [INFORMATIONAL, SUCCESSFUL, REDIRECTION, CLIENT_ERROR, SERVER_ERROR, OTHER]

    statusCode int32
    reasonPhrase string
    allowedMethods string[]
    entityTag object
    value string
    weak boolean
    stringHeaders object
    empty boolean
    property name* string[]
  • Array [
  • string

  • ]
  • cookies object
    property name* NewCookie
    name string
    value string
    version int32
    path string
    domain string
    comment string
    maxAge int32
    expiry date-time
    secure boolean
    httpOnly boolean
    sameSite string

    Possible values: [NONE, LAX, STRICT]

    links object[]
  • Array [
  • type string
    uriBuilder object
    rel string
    rels string[]
    params object
    property name* string
    title string
    uri uri
  • ]
  • mediaType MediaType
    type string
    subtype string
    parameters object
    property name* string
    qualityValue double
    charset object
    registered boolean
    concrete boolean
    subtypeSuffix string
    wildcardType boolean
    wildcardSubtype boolean
    status int32
    closed boolean
    metadata object
    empty boolean
    property name* object[]
  • Array [
  • object

  • ]
  • headers object
    empty boolean
    property name* object[]
  • Array [
  • object

  • ]
Loading...